package cn.org.bjca.trust.push.message

import cn.org.bjca.trust.push.kit.ImClientInterface
import cn.org.bjca.trust.push.message.client.ImClient

object ImManager {
    private lateinit var imClientInterface: ImClientInterface
    val instance: ImClientInterface
        get() {
            if (!::imClientInterface.isInitialized) {
                imClientInterface = ImClient()
            }
            return imClientInterface
        }
}